Subject: Re: [Xen-devel] [PATCH net-next] xen-netfront: convert to GRO API and advertise this feature

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Mon, 30 Sep 2013 10:43:27 -0400

On Mon, Sep 30, 2013 at 10:12:11AM +0100, Ian Campbell wrote:
> On Sat, 2013-09-28 at 15:38 -0400, David Miller wrote:
> > From: Wei Liu <[email-masked]>
> > Date: Sat, 21 Sep 2013 17:05:43 +0100
> > 
> > > @@ -1371,7 +1373,8 @@ static struct net_device *xennet_create_dev(struct xenbus_device *dev)
> > >  	netif_napi_add(netdev, &np->napi, xennet_poll, 64);
> > >  	netdev->features        = NETIF_F_IP_CSUM | NETIF_F_RXCSUM |
> > >  				  NETIF_F_GSO_ROBUST;
> > > -	netdev->hw_features	= NETIF_F_IP_CSUM | NETIF_F_SG | NETIF_F_TSO;
> > > +	netdev->hw_features	= NETIF_F_IP_CSUM | NETIF_F_SG | NETIF_F_TSO |
> > > +				  NETIF_F_GRO;
> > 
> > Please post a new version of this patch with the feedback you've been
> > given integrated, in particular with this part removed because it is
> > not necessary.
> > 
> > Ian, please review the patch when Wei posts it.
> 
> I will, but note:
>         $ ./scripts/get_maintainer.pl -f drivers/net/xen-netfront.c 
>         Konrad Rzeszutek Wilk <[email-masked]> (supporter:XEN HYPERVISOR IN...)
>         Jeremy Fitzhardinge <[email-masked]> (supporter:XEN HYPERVISOR IN...)
>         [email-masked] (moderated list:XEN HYPERVISOR IN...)
>         [email-masked] (open list:XEN HYPERVISOR IN...)
>         [email-masked] (open list:NETWORKING DRIVERS)
>         [email-masked] (open list)
>         
> Strictly speaking I maintain netback not front, so Wei please remember
> to CC the right people (mainly Konrad) as well as me.

Which was Acked:

http://mid.gmane.org/[email-masked]

> 
> BTW I think this separation is a good thing since it keeps changes to
> the protocol "honest". Doesn't matter so much for this particular patch
> since don't think it actually touches the protocol.
> 
> Ian.
> 
> 
> _______________________________________________
> Xen-devel mailing list
> [email-masked]
> http://lists.xen.org/xen-devel